org.apache.calcite.avatica

## Class AvaticaJdbc41Factory.AvaticaJdbc41PreparedStatement

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaStatement
  - - org.apache.calcite.avatica.AvaticaPreparedStatement
    - - org.apache.calcite.avatica.AvaticaJdbc41Factory.AvaticaJdbc41PreparedStatement

All Implemented Interfaces:
  AutoCloseable, ParameterMetaData, PreparedStatement, Statement, Wrapper

Enclosing class:
  AvaticaJdbc41Factory

    private static class AvaticaJdbc41Factory.AvaticaJdbc41PreparedStatement
    extends AvaticaPreparedStatement

Implementation of PreparedStatement for JDBC 4.1.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.AvaticaPreparedStatement

`parameterValueBatch, slots`

### Fields inherited from class org.apache.calcite.avatica.AvaticaStatement

`cancelFlag, closed, closeOnCompletion, connection, DEFAULT_FETCH_SIZE, handle, maxRowCount, openResultSet, resultSetConcurrency, resultSetHoldability, resultSetType, updateCount`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaJdbc41PreparedStatement(AvaticaConnection connection, Meta.StatementHandle h, Meta.Signature signature, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setAsciiStream(int parameterIndex, InputStream x)`
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` `setBinaryStream(int parameterIndex, InputStream x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setCharacterStream(int parameterIndex, Reader reader)`
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNString(int parameterIndex, String value)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`

### Methods inherited from class org.apache.calcite.avatica.AvaticaPreparedStatement

`addBatch, clearBatch, clearParameters, copyParameterValues, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeQuery, executeUpdate, getCalendar, getMetaData, getParameter, getParameterClassName, getParameterCount, getParameterMetaData, getParameterMode, getParameterType, getParameterTypeName, getParameterValueBatch, getParameterValues, getPrecision, getScale, getSite, isNullable, isSigned, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class org.apache.calcite.avatica.AvaticaStatement

`addBatch, cancel, checkOpen, clearWarnings, close_, close, closeOnCompletion, execute, execute, execute, execute, executeBatchInternal, executeInternal, executeInternal, executeLargeUpdate, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getBoundParameterValues, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getId, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getQueryTimeoutMillis, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSignature, getStatementType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, onResultSetClose, resetStatement, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setQueryTimeoutMillis, setSignature, syncResults, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AvaticaJdbc41PreparedStatement

    AvaticaJdbc41PreparedStatement(AvaticaConnection connection,
                                   Meta.StatementHandle h,
                                   Meta.Signature signature,
                                   int resultSetType,
                                   int resultSetConcurrency,
                                   int resultSetHoldability)
                            throws SQLException

Throws:
  `SQLException`

### Method Detail

#### setRowId

    public void setRowId(int parameterIndex,
                         RowId x)
                  throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Overrides:
  `setRowId` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNString

    public void setNString(int parameterIndex,
                           String value)
                    throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Overrides:
  `setNString` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value,
                                    long length)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Overrides:
  `setNCharacterStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         NClob value)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Overrides:
  `setNClob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader,
                        long length)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Overrides:
  `setClob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream,
                        long length)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Overrides:
  `setBlob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Overrides:
  `setNClob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                          SQLXML xmlObject)
                   throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Overrides:
  `setSQLXML` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               long length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Overrides:
  `setAsciiStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Overrides:
  `setBinaryStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   long length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Overrides:
  `setCharacterStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Overrides:
  `setAsciiStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Overrides:
  `setBinaryStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Overrides:
  `setCharacterStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value)
                             throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Overrides:
  `setNCharacterStream` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader)
                 throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Overrides:
  `setClob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream)
                 throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Overrides:
  `setBlob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader)
                  throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Overrides:
  `setNClob` in class `AvaticaPreparedStatement`
Throws:
  `SQLException`